Bug 520465 - eSATA drives on port multiplier recognized too late in boot for md assembly (scsi_wait_scan/sata_mv ?)
Summary: eSATA drives on port multiplier recognized too late in boot for md assembly (...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-31 15:25 UTC by gdelx001
Modified: 2010-06-28 14:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:25:05 UTC


Attachments (Terms of Use)

Description gdelx001 2009-08-31 15:25:11 UTC
Description of problem:
Upgrade from Fedora 10 to Fedora 11 (2.6.27.30-170.2.82.fc10.x86_64 -> 2.6.29.6-217.2.16.fc11.x86_64) leaves recognition of eSATA drives on port multiplier cage until much later in boot, unfortunately after rc.sysinit starts all md (RAID) devices, and thus the md device composed of those drives is not available.  Boot fails at processing fstab mount entry for that md device.  Suspect that modules scsi_wait_scan and/or sata_mv are involved.  

With the fstab entry disabled, boot succeeds and md device can be manually assembled, mounted successfully, suggesting it is an order or interlocking issue and not functionality.

The eSATA card also controls two (internal) SATA drives and these are recognized at the same point they were under F10.  There were other tasks (bringing up other hardware) that log in dmesg between the appearance of these drives and the external port multiplier drives in F10, but the key is mdadm is not logged in any form between the appearance of the two sets in F10 vs. F11 where all mdadm entries during the boot appear before the external drives are logged.

confirmed initrd in F11 has 'modprobe scsi_wait_scan; rmmod scsi_wait_scan' sequence, and expect that this is what is supposed to order complete device 
recognition before mdadm calls during rest of boot (in initrd and rc.sysinit).

Tried alternative F11 initrd that force loaded sata_mv and all raid modules at boot, but this made no change in the result where external drives were left unassembled into md. 

Version-Release number of selected component (if applicable):
2.6.29.6-217.2.16.fc11.x86_64

How reproducible:
Perfectly
  
Actual results:
external drives are not assembled into md at boot

Expected results:
external drives assembled into md at boot before fstab is processed

Additional info:

Comment 1 Bug Zapper 2010-04-28 10:06:11 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-06-28 14:25:05 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.